The EJB Plugin is used to package an EJB module. There are two ways to use the EJB Plugin:

  • If the packaging type defined in the pom.xml is ejb, the package lifecycle phase can be used
      mvn package
  • or using the ejb:ejb goal
      mvn ejb:ejb

The plugin doesn't do any EJB specific processing during the generation of the jar except for validating the existence of an EJB deployment descriptor if the EJB version is 2.0+, but it provides the following customization:

Note: The dependencies will not be package with the EJB jar.

Specifying the EJB version to use

In EJB3, the ejb-jar.xml deployment descriptor is not mandatory anymore. By default the plugin assumes version 2.1. To use another version, configure the plugin as follows: